"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const group_1 = require("../group/group");
const echo_1 = require("./echo");
let echo;
beforeEach(async () => {
    await testing_1.Testing.reset();
});
afterEach(async () => {
    await echo.dispose();
});
test('pass string in echo', async () => {
    testing_1.Testing.vars.name = 'world';
    echo = await testing_1.Testing.newElement(echo_1.Echo, 'Hello ${vars.name}');
    const rs = await echo.exec();
    expect(rs).toBe(`Hello ${testing_1.Testing.vars.name}`);
});
test('pass object in echo', async () => {
    testing_1.Testing.vars.name = 'world';
    echo = await testing_1.Testing.newElement(echo_1.Echo, {
        content: { txt: 'Hello ${vars.name}' }
    });
    const rs = await echo.exec();
    expect(rs).toEqual({
        txt: `Hello ${testing_1.Testing.vars.name}`
    });
});
test('quick print text with color', async () => {
    const group = await testing_1.Testing.newElement(group_1.Group, [
        {
            "echo'blue": 'blue here'
        },
        {
            "echo'red": 'red here'
        }
    ]);
    const echo = await group.exec();
    expect(echo[0].style).toBe('blue');
    expect(echo[1].style).toBe('red');
});
//# sourceMappingURL=echo.spec.js.map