"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileStore = void 0;
const element_shadow_1 = require("../../components/element-shadow");
const file_storage_1 = require("../../libs/storage/file-storage");
class FileStore extends element_shadow_1.ElementShadow {
    $$ignoreEvalProps = ['storage'];
    path;
    initData;
    password;
    storage;
    get data() {
        return this.result;
    }
    constructor(props) {
        super();
        Object.assign(this, props);
    }
    async exec() {
        if (!this.path)
            throw new Error('"path" is required');
        this.path = this.scene.getPath(this.path);
        this.storage = new file_storage_1.FileStorage(this.logger, this.path, this.password);
        return this.load();
    }
    load() {
        return this.storage?.load(this.initData);
    }
    save() {
        this.storage?.save(this.data);
    }
}
exports.FileStore = FileStore;
//# sourceMappingURL=file-store.js.map