"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../../testing");
const pub_1 = require("./pub");
const sub_1 = require("./sub");
let sub;
beforeEach(async () => {
    await testing_1.Testing.reset();
});
afterEach(async () => {
    await sub.dispose();
});
test('Add a jobs in queue', async () => {
    const jobData = { foo: 'bar' };
    sub = await testing_1.Testing.newElement(sub_1.Sub, {
        address: '0.0.0.0:4000',
        runs: [
            {
                vars: {
                    jobData: '${this.parentState.jobData}'
                }
            },
            {
                "http/jobs'stop": null
            }
        ]
    });
    const t = new Promise((resolve, reject) => {
        setTimeout(async () => {
            const pub = await testing_1.Testing.newElement(pub_1.Pub, {
                address: '0.0.0.0:4000',
                data: jobData
            });
            try {
                await pub.exec();
            }
            catch (err) {
                reject(err);
            }
            finally {
                await pub.dispose();
            }
            resolve(undefined);
        }, 1000);
    });
    await sub.exec();
    await t;
    expect(testing_1.Testing.vars.jobData).toEqual(jobData);
});
//# sourceMappingURL=pub.spec.js.map