"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const confirm_1 = require("./confirm");
let input;
beforeEach(async () => {
    await testing_1.Testing.reset();
});
afterEach(async () => {
    await input.dispose();
});
test('Input confirm data', async () => {
    input = await testing_1.Testing.newElement(confirm_1.Confirm, {
        title: 'Are you sure ?',
        default: false
    });
    setImmediate(() => input.answer('n'));
    const rs1 = await input.exec();
    expect(rs1).toBe(false);
    setImmediate(() => input.answer('y'));
    const rs2 = await input.exec();
    expect(rs2).toBe(true);
});
//# sourceMappingURL=confirm.spec.js.map