"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Input = void 0;
const assert_1 = __importDefault(require("assert"));
const element_shadow_1 = require("../element-shadow");
class Input extends element_shadow_1.ElementShadow {
    $$ignoreEvalProps = ['input', 'InputClass'];
    props;
    input;
    InputClass;
    constructor(inputProps) {
        super();
        const { vars, title: label, ...props } = inputProps;
        Object.assign(this, {
            vars,
            props: { label, ...props }
        });
    }
    answer(value) {
        return this.input?.answer(value);
    }
    async exec() {
        (0, assert_1.default)(!!this.InputClass);
        globalThis.inputIndent = this.logger.indentString;
        this.input = new this.InputClass(this.props);
        const value = await this.input.exec();
        if (value === undefined) {
            process.exit(0);
        }
        return value;
    }
}
exports.Input = Input;
//# sourceMappingURL=input.js.map