"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const multiselect_1 = require("./multiselect");
let input;
beforeEach(async () => {
    await testing_1.Testing.reset();
});
afterEach(async () => {
    await input.dispose();
});
test('Input multiselect data', async () => {
    input = await testing_1.Testing.newElement(multiselect_1.MultiSelect, {
        title: 'Pick some ?',
        default: [1, 3],
        choices: [
            { title: 'A1', value: 1 },
            { title: 'A2', value: 2 },
            { title: 'A3', value: 3 }
        ]
    });
    setImmediate(() => input.answer());
    const rs2 = await input.exec();
    expect(rs2).toEqual([1, 3]);
});
//# sourceMappingURL=multiselect.spec.js.map