"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputSelect = void 0;
const input_abstract_1 = require("./input.abstract");
class InputSelect extends input_abstract_1.InputAbstract {
    type = 'select';
    choices = [];
    constructor({ choices, ...props }) {
        super(props);
        Object.assign(this, { choices });
    }
    async exec() {
        this.choices.forEach((choice, i) => {
            if (this.default !== undefined && this.default === choice.value) {
                this.default = +i;
            }
        });
        return await super.exec();
    }
}
exports.InputSelect = InputSelect;
//# sourceMappingURL=input-select.js.map