"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const uninstall_1 = require("./uninstall");
let uninstall;
beforeEach(async () => {
    await testing_1.Testing.reset();
});
afterEach(async () => {
    await uninstall.dispose();
});
test('should uninstall librarries as an array input', async () => {
    const packsUninstall = ['a', 'b', 'c'];
    uninstall = await testing_1.Testing.newElement(uninstall_1.Uninstall, packsUninstall);
    uninstall.action = jest.fn().mockImplementationOnce((...packs) => {
        expect(packs).toEqual(packsUninstall);
    });
    await uninstall.exec();
});
test('should uninstall librarries as an full object', async () => {
    const packsUninstall = ['a', 'b', 'c'];
    uninstall = await testing_1.Testing.newElement(uninstall_1.Uninstall, {
        title: 'Uninstall lack packages',
        packages: packsUninstall
    });
    uninstall.action = jest.fn().mockImplementationOnce((...packs) => {
        expect(packs).toEqual(packsUninstall);
    });
    await uninstall.exec();
});
//# sourceMappingURL=uninstall.spec.js.map