"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Pause = void 0;
const chalk_1 = __importDefault(require("chalk"));
const input_confirm_1 = require("../../components/input/questions/input-confirm");
const element_shadow_1 = require("../element-shadow");
class Pause extends element_shadow_1.ElementShadow {
    $$ignoreEvalProps = ['confirm'];
    label;
    confirm;
    constructor(props) {
        super();
        if (props && typeof props === 'object') {
            props.label = props.title;
            props.title = undefined;
        }
        Object.assign(this, props);
    }
    getInputOptions() {
        return { label: '⏸ ' + (this.label || 'Continue ?'), yes: 'Continue', no: chalk_1.default.red('Stop now') };
    }
    async exec() {
        this.confirm = new input_confirm_1.InputConfirm({ default: true, ...this.getInputOptions() });
        const isContinue = await this.confirm.exec();
        if (!isContinue)
            process.exit(1);
    }
    async continue() {
        await this.confirm?.answer('');
    }
}
exports.Pause = Pause;
//# sourceMappingURL=pause.js.map