import { ElementBuilder } from '../element-builder';
import { ElementShadow } from '../element-shadow';
import { Element } from '../element.interface';
import { SceneProps } from './scene.props';
export declare class Scene extends ElementShadow {
    $$ignoreEvalProps: string[];
    description?: string;
    path?: string;
    encryptedPath?: string;
    content?: string;
    password?: string;
    curDir: string;
    localVars: Record<string, any>;
    protected isRoot: boolean;
    private group?;
    private readonly elementIDs;
    get elementBuilder(): ElementBuilder;
    getPath(p: string): string;
    constructor(props?: SceneProps);
    initGroup(): Promise<void>;
    copyVarsToLocal(): void;
    copyVarsToGlobal(localVars?: Record<string, any>): void;
    exec(): Promise<ElementShadow[]>;
    dispose(): any;
    newElement(nameOrClass: string | (new (...args: any[]) => Element), ...args: any[]): Promise<ElementShadow> | undefined;
    addNewElement(id: string, elem: ElementShadow): void;
    getAnElement<T extends ElementShadow>(id: string): T;
    getVars(str: any, ctx?: any, others?: any): Promise<any>;
    setVars(varObj: any, vl: any, ctx?: any): Promise<string[] | undefined>;
    mergeVars(obj: any): void;
    private getRemoteFileProps;
    private decryptContent;
    private generateEncryptedFile;
    private loadVars;
    private loadEnv;
}
