export declare enum LoggerLevel {
    ALL = "trace",
    TRACE = "trace",
    DEBUG = "debug",
    INFO = "info",
    WARN = "warn",
    ERROR = "error",
    FATAL = "fatal",
    SILENT = "silent"
}
export declare class Logger {
    context: string;
    indent: number;
    level: number;
    indentString: string;
    get levelName(): LoggerLevel;
    constructor(level: LoggerLevel | number, context?: string, indent?: number);
    is(level: LoggerLevel): boolean;
    clone(context?: string): Logger;
    updateIndent(indent: number): void;
    addIndent(indent?: number): void;
    removeIndent(indent?: number): void;
    getIndentString(indent: number): string;
    formatWithoutIndent(msg: string, level?: LoggerLevel): string;
    format(msg: string, level?: LoggerLevel): string;
    setLevel(level: LoggerLevel | number): void;
    print(...args: any): void;
    debugBlock(isStart: boolean, msg?: string, ...prms: any): void;
    log(msg: any, ...prms: any): this;
    info(msg: any, ...prms: any): this;
    debug(msg: any, ...prms: any): this;
    warn(msg: any, ...prms: any): this;
    trace(msg: any, ...prms: any): this;
    error(msg: any, ...prms: any): this;
    fatal(msg: any, ...prms: any): this;
}
